| Home | Libraries | People | FAQ | More

## Struct template make_rbtree

boost::intrusive::make_rbtree

## Synopsis

    // In header: <boost/intrusive/rbtree.hpp>

    template<typename T, class... Options>
    struct make_rbtree {
      // types
      typedef implementation_defined type;
      < typenamemake_rbtree_opt< T, O1, O2, O3, O4 >::type implementation_defined;  // @ typedef rbtree_impl
    };

## Description

Helper metafunction to define a `rbtree` that yields to the same type when the same options (either explicitly or implicitly) are used.